# SourMix ![Version](https://img.shields.io/gem/v/sourmix.svg?style=flat-square)

Shove [Mixpanel](http://mixpanel.com/) events into [Kafka](http://kafka.apache.org/)
by way of [Theon](https://github.com/sczizzo/theon).


## Installation

You can build a gem from this repository, install Ubuntu packages from the
[Releases](https://github.com/sczizzo/sourmix/releases) page, or use RubyGems:

    $ gem install sourmix

SourMix shells out to `curl` and `gzip`, so you'll also need those installed.


## Usage

Just call for help!

    $ sourmix help
    Commands:
      sourmix art                                                                                                      ...
      sourmix go -d, --date=DATE -k, --mixpanel-api-key=MIXPANEL_API_KEY -s, --mixpanel-api-secret=MIXPANEL_API_SECRET ...
      sourmix help [COMMAND]                                                                                           ...
      sourmix version

You're probably most interested in the `go` command:

    Usage:
      sourmix go -d, --date=DATE -k, --mixpanel-api-key=MIXPANEL_API_KEY -s, --mixpanel-api-secret=MIXPANEL_API_SECRET -t, --theon-uri=THEON_URI

    Options:
      -d, --date=DATE                                # Date to index (YYYY-mm-dd)
                                                     # Default: 2016-02-08
      -k, --mixpanel-api-key=MIXPANEL_API_KEY        # Mixpanel API key
      -s, --mixpanel-api-secret=MIXPANEL_API_SECRET  # Mixpanel API secret
      -t, --theon-uri=THEON_URI                      # Theon URI (including auth)
      -L, [--log=LOG]                                # Log to file instead of STDERR
      -V, [--debug], [--no-debug]                    # Enable DEBUG-level logging

    Do your thing, SourMix

## Changelog

#### v1.0.1

- Set default date to one hour ago
- Allow setting date option via envionment variable
- Set default type (not configurable at this time)

#### v1.0.0

- Initial implementation
